Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2233409 - Obsolete packages that used to require Python 3.11 but are gone in Fedora 40
Summary: Obsolete packages that used to require Python 3.11 but are gone in Fedora 40
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-obsolete-packages
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F40FinalFreezeException, FinalFreezeException PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-08-22 07:19 UTC by Tomáš Hrnčiar
Modified: 2024-04-10 03:12 UTC (History)
6 users (show)

Fixed In Version: fedora-obsolete-packages-39-18 fedora-obsolete-packages-39-19 fedora-obsolete-packages-41-1 fedora-obsolete-packages-40-28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-10 03:12:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Package Sources fedora-obsolete-packages pull-request 90 0 None None None 2024-04-02 17:14:48 UTC

Description Tomáš Hrnčiar 2023-08-22 07:19:11 UTC
Packages that required Python 3.11 in Fedora 37 or 38 and are gone (retired, removed subpackages) from Fedora 39 must be obsoleted, or else they have broken dependencies (e.g. on python(abi) = 3.11 or python3.11dist(...)) and block the upgrade path to Fedora 39.

We'll use this bug to track this.


We can do this in batches to unblock rawhide users but most importantly we need to do this:

- right after entering beta freeze (with a freeze exception)
- right after entering final freeze (with a freeze exception)

We need to do it after the freezes start to include packages removed right before it started.

We'll need to repeat this later for Fedora 40 milestones as well.

See also bz2117256 (same bug for Python 3.10 packages removed from Fedora 35).
See also bz1980460 (same bug for Python 3.9 packages removed from Fedora 35).
See also bz1856098 (same bug for Python 3.8 packages removed from Fedora 33).
See also bz1754151 (same bug for Python 3.7 packages removed from Fedora 32).

Comment 1 Michael Young 2023-08-23 19:08:20 UTC
In a test upgrade to F39 from F38 I get
 Error:
 Problem 1: package python3-slip-0.6.4-29.fc38.noarch from @System
requires python(abi) = 3.11, but none of the providers can be installed
  - python3-3.11.4-1.fc38.x86_64 from @System  does not belong to a
distupgrade repository
  - problem with installed package python3-slip-0.6.4-29.fc38.noarch
 Problem 2: package python3-3.11.4-1.fc38.x86_64 from @System requires
python3-libs(x86-64) = 3.11.4-1.fc38, but none of the providers can be
installed
  - package python3-slip-dbus-0.6.4-29.fc38.noarch from @System requires
python(abi) = 3.11, but none of the providers can be installed
  - python3-libs-3.11.4-1.fc38.x86_64 from @System  does not belong to a
distupgrade repository
  - problem with installed package python3-slip-dbus-0.6.4-29.fc38.noarch
(try to add '--skip-broken' to skip uninstallable packages)

Comment 2 Ben Beasley 2023-08-24 12:13:26 UTC
There should be a way to enumerate these packages automatically, right?

Anyway, in a test upgrade, I encountered the following packages that fit this description:

- python3-pygpu, from https://src.fedoraproject.org/rpms/libgpuarray/
- python3-theano, from https://src.fedoraproject.org/rpms/python-theano/
- python3-slip and python3-slip-dbus, from https://src.fedoraproject.org/rpms/python-slip/

I had similar problems with python-shiboken2 and python-pyside2, from https://src.fedoraproject.org/rpms/python-pyside2, but that package is broken rather than retired.

Finally, I had similar problems with python3-async-generator, from https://src.fedoraproject.org/rpms/python-async-generator/, which is broken rather than retired but probably *should* be retired: https://bugzilla.redhat.com/show_bug.cgi?id=2220121#c4

Comment 3 Miro Hrončok 2023-08-24 13:16:32 UTC
> There should be a way to enumerate these packages automatically, right?

We do exactly that. See https://github.com/hrnciar/mini-mass-rebuild/blob/python3.12/obsolete_packages.py



For now, we don't obsolete what's not retired. We should retire broken packages before GA and obsolete those as well, but not yet.

Comment 4 Fedora Update System 2023-08-25 19:50:23 UTC
FEDORA-2023-77c6ea0564 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-77c6ea0564

Comment 5 Adam Williamson 2023-08-26 01:07:19 UTC
This seems to be missing PyDrive, which was retired in November:
https://src.fedoraproject.org/rpms/PyDrive/c/17c7af2339900db6584b15b89c0be88a2853cfd5?branch=rawhide

python3-PyDrive requires python(abi) = 3.11 , as reported at https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/QCDKW4JRVG3PBA7XYC52CGJ4WTSFPMNN/ .

Comment 6 Miro Hrončok 2023-08-26 10:16:12 UTC
(In reply to Adam Williamson from comment #5)
> This seems to be missing PyDrive, which was retired in November:
> https://src.fedoraproject.org/rpms/PyDrive/c/
> 17c7af2339900db6584b15b89c0be88a2853cfd5?branch=rawhide
> 
> python3-PyDrive requires python(abi) = 3.11 , as reported at
> https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> message/QCDKW4JRVG3PBA7XYC52CGJ4WTSFPMNN/ .

python3-PyDrive2 obsoletes python3-PyDrive <= 1.3.1-21

https://src.fedoraproject.org/rpms/PyDrive2/c/d84717cc0fd3d67b96200c367f24002a6a766fb0

Hence, there should be no need to include it here, but the version needs to be updated, as Fedora 37 has python3-PyDrive-1.3.1-21.fc37 which is not <= 1.3.1-21.

$ rpmdev-vercmp 1.3.1-21 1.3.1-21.fc37
1.3.1-21 < 1.3.1-21.fc37


Please report this to PyDrive2 (or bump the Obsoletes to < 1.3.1-22).

Comment 7 Adam Williamson 2023-08-27 16:25:40 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/1187 , marking accepted.

Comment 8 Fedora Update System 2023-08-28 16:37:08 UTC
FEDORA-2023-77c6ea0564 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-09-20 18:05:22 UTC
FEDORA-2023-c2bf76ec59 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c2bf76ec59

Comment 10 Fedora Update System 2023-09-21 01:12:33 UTC
FEDORA-2023-c2bf76ec59 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c2bf76ec59`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c2bf76ec59

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-09-22 01:40:42 UTC
FEDORA-2023-c2bf76ec59 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c2bf76ec59`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c2bf76ec59

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-09-30 00:16:32 UTC
FEDORA-2023-c2bf76ec59 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Adam Williamson 2023-10-04 16:53:39 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/1356 , marking accepted.

Comment 15 Fedora Update System 2023-10-06 14:14:12 UTC
FEDORA-2023-1bee358605 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1bee358605

Comment 16 Miro Hrončok 2023-10-06 14:24:33 UTC
Note that the following packages are left not obsoleted because their maintainers asked me to keep them in the distro:

mathics+cython-0:5.0.2-4.fc38.x86_64
mathics+full-0:5.0.2-4.fc38.x86_64
mathics-0:5.0.2-4.fc38.x86_64
mathicsscript+full-0:5.0.0-1.fc38.noarch
mathicsscript-0:5.0.0-1.fc38.noarch

Users with any of the packages installed are still unable to upgrade to Fedora 39. Hopefully, those will be fixed soon but if they are not, we might need to issue another 0-day upgrade that includes them.

Comment 17 Fedora Update System 2023-10-07 02:32:51 UTC
FEDORA-2023-1bee358605 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1bee358605`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1bee358605

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2023-10-10 22:15:50 UTC
FEDORA-2023-1bee358605 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Miro Hrončok 2023-10-16 17:06:50 UTC
Reopening to obsolete:

mathics+cython-0:5.0.2-4.fc38.x86_64
mathics+full-0:5.0.2-4.fc38.x86_64
mathics-0:5.0.2-4.fc38.x86_64
mathicsscript+full-0:5.0.0-1.fc38.noarch
mathicsscript-0:5.0.0-1.fc38.noarch

Comment 21 Fedora Update System 2023-10-17 09:23:36 UTC
FEDORA-2023-f9467b959a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f9467b959a

Comment 22 Fedora Update System 2023-10-18 02:34:33 UTC
FEDORA-2023-f9467b959a has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f9467b959a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f9467b959a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2023-10-19 04:41:10 UTC
FEDORA-2023-f9467b959a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Miro Hrončok 2024-04-02 16:54:27 UTC
Here we go again, we need to update this in F40 to match the reality. I'm working on it.

Comment 25 Fedora Update System 2024-04-02 17:18:33 UTC
FEDORA-2024-894d99921e (fedora-obsolete-packages-41-1) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-894d99921e

Comment 26 Fedora Update System 2024-04-02 17:21:20 UTC
FEDORA-2024-894d99921e (fedora-obsolete-packages-41-1) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2024-04-02 17:26:45 UTC
FEDORA-2024-5f5a0d125e (fedora-obsolete-packages-40-28) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-5f5a0d125e

Comment 28 Miro Hrončok 2024-04-02 17:27:37 UTC
needinfo set by accident.

Comment 29 Fedora Update System 2024-04-03 01:23:02 UTC
FEDORA-2024-5f5a0d125e has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5f5a0d125e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5f5a0d125e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Adam Williamson 2024-04-06 17:35:23 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/1549 , marking accepted.

Comment 31 Fedora Update System 2024-04-10 03:12:38 UTC
FEDORA-2024-5f5a0d125e (fedora-obsolete-packages-40-28) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.